### Method

# FwupdPlugin Progress get_id

since: 1.7.0

#### Declaration [src]

    const gchar*
    fu_progress_get_id (
      FuProgress* self
    )

#### Description [src]

Return the id of the progress, which is normally set by the caller.

Available since: 1.7.0

#### Return value

Type: `const gchar*`

Progress ID.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.